Subject: Re: bug#19877: 24.4; highlight-regexp displays nonsense options for faces

From: Juri Linkov <[email-masked]>
Date: Thu, 19 Feb 2015 21:14:40 +0200

>> Maybe the list of all faces (that come after the default faces)
>> should be better sorted somehow, e.g. alphabetically or by use frequency.
> My vote is to just restrict the options to those specified in
> hi-lock-face-defaults. The value can be easily modified, and its a
> simple way to keep unusual and unexpected faces from appearing.

Currently it's not too easy to modify since hi-lock-face-defaults
is defined with defvar, but not defcustom.

> Also, how many hi-lock faces is anyone going to ever need?

I'd say that in average 8 faces are needed, but the problem is
that hi-lock-face-defaults provides only 4 usable default faces
("hi-yellow" "hi-pink" "hi-green" "hi-blue").  The rest of
default faces with the prefix "-b" are highlighting with bold weight,
so they are less usable.  This is why often is necessary to find
more faces in the list of all faces that come after default faces.